> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Services

GET https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/services

Retrieves the list of supported bill payment service categories available on the API, such as power, airtime, data, or TV.

Reference: https://docs.pay4power.com/entry/services

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /services:
    get:
      operationId: services
      summary: Services
      description: >-
        Retrieves the list of supported bill payment service categories
        available on the API, such as power, airtime, data, or TV.
      tags:
        - subpackage_entry
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Response**

```json
{
  "success": true,
  "message": "Services retrieved successfully",
  "errors": null,
  "statusCode": 200,
  "correlationId": "5f1d7510-c5c1-405c-acc2-80d18012bcb7",
  "data": [
    {
      "code": "AIRTIME",
      "name": "Airtime",
      "description": "Purchase airtime for mobile networks (MTN, Airtel, Glo, 9mobile)",
      "isAvailable": true
    },
    {
      "code": "DATA",
      "name": "Data",
      "description": "Purchase data bundles for mobile networks and internet service providers",
      "isAvailable": true
    },
    {
      "code": "TV",
      "name": "Cable TV",
      "description": "Pay for cable TV subscriptions (DSTV, GOTV, Startimes, HIPTV)",
      "isAvailable": true
    },
    {
      "code": "POWER",
      "name": "Electricity",
      "description": "Purchase electricity units for prepaid and postpaid meters (AEDC, EKEDC, IKEDC, PHEDC, etc.)",
      "isAvailable": true
    }
  ]
}
```